1

Running the following:

  • QGIS 2.0.1 (via Kyngchaos)
  • OSX 10.9
  • GDAL/OGR 1.10.1 (via Homebrew).

Recently, I've become unable to use the OpenLayers plugin, which is complaining that I'm missing the osgeo module.

Has anyone else dealt with this?

3
  • If you want to use the Kyngchaos's version of QGIS, you should use his version of GDAL/OGR (Framework in /Library/Frameworks/GDAL.framework). This version also installs the Python osgeo module (in /Library/Python/2.7/site-packages because QGIS use the Apple Python).

  • If you want to use the Homebrew version of GDAL/OGR (library in /usr/local/Cellar with symbolics links in /usr/local/bin) you should install the osgeo Python module in /Library/Python/2.7/site-packages without Homebrew because the Kyngchaos's version of QGIS does not recognize the Homebrew Python version, or use the Homebrew version of QGIS.

You can't mix these two solutions (unless you know UNIX very, very well)

0

I solved a similar problem with homebrew rgdal by

    brew uninstall gdal
    brew install gdal --complete --with-postgresql

in terminal, then installing gdal from CRAN back in R. The ogrDrivers() now displays PostgreSQL and I can successfully import PostGIS views and tables with readOGR().

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.